nbconvert:
    image: "python:latest"

    stage: build
    before_script:
        - pip install notebook nbconvert
        - python -m pip install -r requirements.txt
    script:
        - jupyter nbconvert ./*.ipynb --execute --to html --template classic

    artifacts:
        paths:
            - ./*.html